#
# spec file for package postgresql (Version 7.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake db db-devel gpp libgpp openssl openssl-devel python python-devel readline readline-devel tcl tcl-devel tk xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib db-devel gcc gdbm gettext gpp libgpp libtool libz openssl openssl-devel pam perl python python-devel readline-devel rpm tcl tcl-devel tk xdevel xf86 xshared

Name:         postgresql
%{!?perl:%define perl 1}
%{!?tcl:%define tcl 1}
%{!?tkpkg:%define tkpkg 1}
%{!?python:%define python 1}
%{!?odbc:%define odbc 1}
%{!?jdbc:%define jdbc 1}
%{!?test:%define test 1}
%{!?ssl:%define ssl 1}
%{!?pltcl:%define pltcl 1}
%{?forceplperl:%define plperl %{expand:forceplperl}}
%{!?forceplperl:%define forceplperl 0}
%{!?plperl:%define plperl 0}
%{!?enable_mb:%define enable_mb 1}
%{!?pgacess:%define pgaccess 1}
%ifarch sparc64
%define python 0
%define ssl 0
%endif
%if %(python -c ''; echo $?)
%define python 0
%endif
%if %(test -f %_libdir/tkConfig.sh ; echo $?)
%define tkpkg 0
%endif
%define processors %(cat %_sourcedir/CPUs 2>/dev/null || echo 1)
%if "%_vendor" == "suse" || %(test -f /etc/SuSE-release; echo $((!$?)))
%define suse 1
%define pg_group daemon
%else
%define suse 0
%define pg_group postgres
%endif
%define python_sitepath %(python -c "import site; print site.sitedirs[0]")
%define NOEXEC find -type f -perm +111 | xargs file | awk -F: '$2 !~ "object|script|executable" {print $1}' | xargs chmod a-x
Summary:      PostgreSQL - the Database
Version:      7.2
Release:      117
License:      X11/MIT
Group:        Productivity/Databases/Tools
Source0:      postgresql-%{version}.tar.bz2
Source1:      logrotate.postgresql
Source3:      postgresql.init
Source4:      file-lists.tar.gz
Source6:      README.rpm-dist
Source7:      migration-scripts.tar.gz
Source8:      sysconfig.postgresql
Source9:      postgresql.init.suse
Source10:     http://www.retep.org.uk/postgres/jdbc7.0-1.1.jar
Source11:     jdbc7.1-1.2.jar
Source12:     postgresql-dump.1.gz
Source14:     rh-pgdump.sh
Source15:     postgresql-bashprofile
Source16:     README.SuSE
Patch1:       rpm-pgsql-7.1.patch
Patch2:       %{name}-7.1.plperl.patch
Patch3:       regression.patch
Patch5:       autoconf-2.52.patch
Patch4:       postgresql-s390x.patch
Patch9:       postgresql-security-fixes.patch
Patch10:      postgresql-pg_to_ascii.patch
Patch11:      postgresql-odbc.patch
Buildrequires: perl
BuildPrereq: python-devel perl tcl /lib/cpp
PreReq:       postgresql-libs
URL:          http://www.postgresql.org/
Obsoletes:    postgresql-clients postgres
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
# Obsolete the packages we are not building...
%if ! %{plperl}
Obsoletes:    postgresql-plperl
%endif
%if ! %{tcl}
Obsoletes:    postgresql-tcl
%endif
%if ! %{tkpkg}
Obsoletes:    postgresql-tk
%endif
%if ! %{odbc}
Obsoletes:    postgresql-odbc
%endif
%if ! %{perl}
Obsoletes:    postgresql-perl
%endif
%if ! %{python}
Obsoletes:    postgresql-python
%endif
%if ! %{jdbc}
Obsoletes:    postgresql-jdbc
%endif
%if ! %{test}
Obsoletes:    postgresql-test
%endif
# This is the PostgreSQL Global Development Group Official RPMset spec file.
# Copyright 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
# and others listed.
# Major Contributors:
# ---------------
# Lamar Owen
# Trond Eivind Glomsrd <teg@redhat.com>
# Thomas Lockhart
# Reinhard Max
# Karl DeBisschop
# and others in the Changelog....
# This spec file and ancilliary files are licensed in accordance with 
# The PostgreSQL license.
# On top of this file you can find the default build package list macros.  These can be overridden by defining
# on the rpm command line:
# rpm --define 'packagename 1' .... to force the package to build.
# rpm --define 'packagename 0' .... to force the package NOT to build.
# The base package, the lib package, the devel package, and the server package always get built.

%description
DBMS (DataBase Management System) PostgreSQL is the successor
of the relational database system INGRES. It has been developed at
Berkeley, University of California.

The main advantages of the new system are:

- better support of complex objects;

- improved user-side adaption of data types, operators
and access methods;

- integration of active databases (alerts and triggers),
conclusions including forward and backward chaining;

- simplification of dbms code for restore after a crash.

- provision of a design which concatenates the advantages
of optical disks and workstations which consist of many
compound processors and customer-specific VLSI chips;

- avoidance of too many changes according to relational
model.

The query language for this system is SQL.
This system offers you a wide range of additional features such as
transparent history-system, embedding in your own C-routines, shell scripts
and more.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package libs
Summary:      The shared libraries required for any PostgreSQL clients.
Group:        Productivity/Databases/Clients
Provides:     libpq.so.2.1 libpq.so.2.0 libpq.so pg_ifa pg_lib postgresql-lib
Obsoletes:    pg_ifa pg_lib postgresql-lib

%description libs
The postgresql-libs package provides the essential shared libraries for any
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package server
Summary:      The programs needed to create and run a PostgreSQL server
Group:        Productivity/Databases/Servers
Prereq:       /usr/sbin/useradd /sbin/chkconfig 
Requires:     postgresql = %{version} logrotate
Provides:     pg_serv postgres:/usr/lib/pgsql/bin/postmaster
Obsoletes:    pg_serv
%package docs
Summary:      Extra documentation for PostgreSQL
Group:        Productivity/Databases/Tools

%description docs
The postgresql-docs package includes the SGML source for the documentation
as well as the documentation in other formats and some extra documentation.
Install this package if you want to help with the PostgreSQL documentation
project or if you want to generate printed documentation.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package contrib
Summary:      Contributed source and binaries distributed with PostgreSQL
Group:        Productivity/Databases/Tools
Requires:     postgresql = %{version}

%description contrib
The postgresql-contrib package includes the contrib tree distributed with
the PostgreSQL tarball.  Selected contrib modules are prebuilt.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.


%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql and postgresql-devel packages.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>

%package devel
Summary:      PostgreSQL development header files and libraries
Group:        Productivity/Databases/Tools
Requires:     postgresql = %{version}
Obsoletes:    pg_devel
Provides:     pg_devel pg_ifa:/usr/lib/pgsql/bin/ecpg

%description devel
This package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server. If
you're installing postgresql-server, you need to install this
package.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%if %plperl
%package plperl
Summary:      The PL/Perl procedural language for PostgreSQL
Group:        Productivity/Databases/Servers
Requires:     perl, postgresql = %{version}

%description plperl
This package contains the the PL/Perl procedural language for the back-end.
With PL/Perl one can use Perl to write stored procedures, functions
and triggers.

PostgreSQL also offers the procedural languages PL/SQL (builtin) and
PL/Tcl (contained in the package postgresql-tcl).

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %tcl
%package tcl
Summary:      A Tcl client library, and the PL/Tcl procedural language for PostgreSQL
Group:        Productivity/Databases/Clients
Obsoletes:    pg_tcl
Provides:     pg_tcl pg_ifa:/usr/lib/pgsql/bin/pgtclsh

%description tcl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tcl package contains the libpgtcl client library,
the pg-enchanced pgtclsh, and the PL/Tcl procedural language for the backend.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %tkpkg
%package tk
Summary:      Tk shell and tk-based GUI for PostgreSQL
Group:        Productivity/Databases/Tools
Obsoletes:    pg_tk pgaccess
Provides:     pg_tk pgaccess

%description tk
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tk package contains the pgaccess
program. Pgaccess is a graphical front end, written in Tcl/Tk, for the
psql and related PostgreSQL client programs.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %odbc
%package odbc
Summary:      The ODBC driver needed for accessing a PostgreSQL DB using ODBC
Group:        Productivity/Databases/Clients
Obsoletes:    pg_odbc
Provides:     pg_odbc pg_iface:/usr/lib/pgsql/odbcinst.ini

%description odbc
PostgreSQL is an advanced Object-Relational database management
system. This package includes the ODBC (Open DataBase
Connectivity) driver and sample configuration files needed for
applications to access a PostgreSQL database using ODBC.

Authors:
--------
    Authornameemail:
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %perl
%package perl
Summary:      Development module needed for Perl code to access a PostgreSQL DB
Group:        Productivity/Databases/Clients
Requires:     perl >= 5.004-4
Obsoletes:    pg_iface pg_perl
Provides:     pg_iface pg_perl pg_iface:/usr/lib/perl5/site_perl/5.005/i586-linux/auto/Pg/Pg.so

%description perl
PostgreSQL is an advanced Object-Relational database management
system. This package includes a module for developers
to use when writing Perl code for accessing a PostgreSQL database.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %python
%package python
Summary:      Development module for Python code to access a PostgreSQL DB
Group:        Productivity/Databases/Clients
Requires:     python >= 1.5
Obsoletes:    pg_pyth pygresql
Provides:     pg_pyth

%description python
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %jdbc
%package jdbc
Summary:      Files needed for Java programs to access a PostgreSQL database
Group:        Productivity/Databases/Clients
Obsoletes:    pg_jdbc
Provides:     pg_jdbc pg_iface:/usr/lib/pgsql/lib/postgresql.jar

%description jdbc
PostgreSQL is an advanced Object-Relational database management
system. This package includes the .jar file needed for
Java programs to access a PostgreSQL database.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%if %test
%package test
Summary:      The test suite distributed with PostgreSQL
Group:        Productivity/Databases/Tools
Requires:     postgresql = %{version}
Obsoletes:    pg_test
Provides:     pg_test

%description test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%endif
%prep
#echo processors: %processors
#echo suse: %suse
#echo Tk: %tkpkg
#echo python: %python
#exit 1
%setup -q 
#%patch1 -p1
%patch3
%patch4
#%patch5
#PL/Perl stuff
#%patch2 -p1
%patch9 -p 1
%patch10
%patch11
%if %forceplperl
FORCEPLPERL=--force
%else
FORCEPLPERL=
%endif
%if %plperl
        pushd src/pl/plperl
        EXTRA_INCLUDES=-I../../include plperl_installdir=$RPM_BUILD_ROOT%{_libdir} perl Makefile.PL $FORCEPLPERL
        popd
%endif
#

%build
# Get file lists....
tar xzf %{SOURCE4}
#Commented out for testing on other platforms for now.
# If libtool installed, copy some files....
#if [ -d /usr/share/libtool ]
#then
#	cp /usr/share/libtool/config.* .
#fi
# Strip out -ffast-math from CFLAGS....
CFLAGS=`echo $RPM_OPT_FLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`
export CXXFLAGS="$CFLAGS"
./configure --enable-locale  --with-CXX --prefix=/usr --libdir=%{_libdir} \
%if %perl
	--with-perl \
%endif
%if %enable_mb
	--enable-multibyte \
	--enable-unicode-conversion \
%endif
%if %tcl
	--with-tcl \
%endif
%if %tkpkg
%else
	--without-tk \
%endif
%if %odbc
	--with-odbc \
%endif
	--enable-syslog\
%if %python
	--with-python \
%endif
%if %ssl
	--with-openssl \
%endif
	--sysconfdir=/etc/pgsql \
	--mandir=%{_mandir} \
	--docdir=%{_docdir} \
	--includedir=%{_includedir}/pgsql \
	--datadir=/usr/share/pgsql
make -j%{processors} all
# Build contrib stuff....
pushd contrib
make clean
make -j%{processors} all
popd
%if %plperl
        pushd src/pl/plperl
  make -j%{processors} INC=-I../../include
        popd
%endif
#
# Run the regression tests
#
# contrib/spi needs to be cleaned before and remade afterwards
# because the tests need refint.so and autoinc.so to be 
# more verbose then they are by default.
# 
pushd src/test/regress
make clean all
install -m755 ../../../contrib/spi/*.so .
chown -R postgres .
# The tests need to be run as non-root user.
%ifarch s390x
    chmod go+rx /lib64 /usr/lib64
%endif
CHECK_CMD="make check"
test $UID -eq 0 && SU_CMD="su postgres -c"
$SU_CMD "$CHECK_CMD" || {
  cat regression.diffs
  exit 1
}
make clean
popd
make -C contrib/spi clean all
%if %test
	pushd src/test
	make \
	  libdir=%{_libdir}/pgsql \
	  abs_srcdir=%{_libdir}/pgsql/test/regress \
	  abs_builddir=%{_libdir}/pgsql/test/regress \
	  clean all
	popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%if %plperl
make DESTDIR=$RPM_BUILD_ROOT -C src/pl/plperl install
#cp blib/arch/auto/plperl/plperl.so $RPM_BUILD_ROOT%{_libdir}
%endif
%if %perl
	make PREFIX=$RPM_BUILD_ROOT/usr -C src/interfaces/perl5 -f Makefile install
	# Get rid of the packing list generated by the perl Makefile, and build my own...
	find $RPM_BUILD_ROOT%_prefix/lib/perl5 -name .packlist -exec rm -f {} \;
	find $RPM_BUILD_ROOT%_prefix/lib/perl5 -type f -print | \
		sed -e "s|$RPM_BUILD_ROOT/|/|g"  | \
		sed -e "s|.*/man/.*|&\*|" > perlfiles.list
	find $RPM_BUILD_ROOT%_prefix/lib/perl5 -type d -name Pg -print | \
		sed -e "s|$RPM_BUILD_ROOT/|%dir /|g" >> perlfiles.list
	
	# check and fixup Pg manpage location....
	if [ ! -e $RPM_BUILD_ROOT%{_mandir}/man3/Pg.* ]
	then
		mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
		cp `find $RPM_BUILD_ROOT -name 'Pg.3*' -print` $RPM_BUILD_ROOT%{_mandir}/man3
	fi
	
	pushd src/interfaces
	mkdir -p $RPM_BUILD_ROOT/usr/share/pgsql/perl5
	cp -a perl5/test.pl $RPM_BUILD_ROOT/usr/share/pgsql/perl5
	popd
	# remove perllocal.pod and Pg.bs from the file list - only occurs with 5.6
	perl -pi -e "s/^.*perllocal.pod$//" perlfiles.list
	perl -pi -e "s/^.*Pg.bs$//" perlfiles.list
	mkdir -p $RPM_BUILD_ROOT%perl_sitearch/auto/Pg
%endif
make -C doc
# man pages....
pushd $RPM_BUILD_ROOT%{_mandir}
tar xzf $RPM_BUILD_DIR/postgresql-%{version}/doc/man.tar.gz
# the postgresql-dump manpage.....
cp %{SOURCE12} man1
popd
# install the dump script
install -m755 %SOURCE14 $RPM_BUILD_ROOT/usr/bin/
# install dev headers.
make DESTDIR=$RPM_BUILD_ROOT install-all-headers
#fixup directory permissions for SPI stuff...
#pushd $RPM_BUILD_ROOT/usr/include/pgsql
#chmod 755 access catalog executor nodes rewrite storage tcop utils
#popd
#popd
# copy over Makefile.global to the include dir....
install -m644 src/Makefile.global $RPM_BUILD_ROOT/usr/include/pgsql
%if %tkpkg && %pgaccess
	# pgaccess installation
	pushd src/bin
	install -m 755 pgaccess/pgaccess $RPM_BUILD_ROOT/usr/bin
	mkdir -p $RPM_BUILD_ROOT/usr/share/pgsql/pgaccess
	install -m 644 pgaccess/main.tcl $RPM_BUILD_ROOT/usr/share/pgsql/pgaccess
	tar cf - pgaccess/lib pgaccess/images | tar xf - -C $RPM_BUILD_ROOT/usr/share/pgsql
	cp -a pgaccess/doc/html   ../../doc/pgaccess
	cp    pgaccess/demo/*.sql ../../doc/pgaccess
	popd
%endif
%if %python
	# Python
	pushd src/interfaces/python
	make install
	# Makefile.pre.in doesn't yet support .py files anyway, so we stick to a manual installation
	    #mkdir -p $RPM_BUILD_ROOT%python_sitepath
	    #install -m 755 _pgmodule.so *.py $RPM_BUILD_ROOT%python_sitepath
	pushd tutorial
	    %NOEXEC
	popd
	popd
%endif
%if %jdbc
	# Java/JDBC
	# The user will have to set a CLASSPATH to find it here, but not sure where else to put it...
	# Install 7.0 JDBC jars 
	install -m 755 %{SOURCE10} $RPM_BUILD_ROOT/usr/share/pgsql
	install -m 755 %{SOURCE11} $RPM_BUILD_ROOT/usr/share/pgsql
%endif
# Fixup more permissions...
find $RPM_BUILD_ROOT%{_mandir} | xargs chmod 0644
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*
# The initscripts....
# Redhat-style....
if [ -d /etc/rc.d/init.d ]
then
	install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
	install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql
	mv redhat-style-files.lst files.lst
fi
# SuSE-style....
# NOTE: SuSE stuff not yet fully implemented -- this is likely to not work yet.
# Putting SuSE-style stuff here
if [ -d /sbin/init.d ]
then
	# install the SuSE stuff...
	mv suse-style-files.lst files.lst
fi
if [ -d /etc/init.d -a -f /etc/SuSE-release ]
then
	# install the stuff for LSB compliant SuSE Linux 7.1 and later
    for f in /etc/logrotate.d /etc/init.d /var/adm/fillup-templates /usr/sbin
    do
	install -d $RPM_BUILD_ROOT/$f
    done
    install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/postgresql
    install -m 755 %{SOURCE9} $RPM_BUILD_ROOT/etc/init.d/postgresql
    install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/var/adm/fillup-templates
    ln -s ../../etc/init.d/postgresql $RPM_BUILD_ROOT/usr/sbin/rcpostgresql
    mv suse-lsb-style-files.lst files.lst
fi
# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/data
# backups of data go here...
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/backups
# Move the PL's to the right place
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pgsql
#mv $RPM_BUILD_ROOT%{_libdir}/pl*.so $RPM_BUILD_ROOT%{_libdir}/pgsql
# pkgIndex.tcl
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_libdir}
echo "cd  $RPM_BUILD_ROOT/%_libdir/pgsql;pkg_mkIndex . ../libpgtcl.so" | tclsh
grep Pgtcl $RPM_BUILD_ROOT%_libdir/pgsql/pkgIndex.tcl
# postgres' .bash_profile
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT/var/lib/pgsql/.bash_profile
%if %test
	# tests. There are many files included here that are unnecessary, but include
	# them anyway for completeness.
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/pgsql/test
	cp -a src/test/regress $RPM_BUILD_ROOT%{_libdir}/pgsql/test
	install -m 0755 config/config.guess $RPM_BUILD_ROOT%{_libdir}/pgsql
	# already copied in the build section.
	#install -m 0755 contrib/spi/refint.so $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress
	#install -m 0755 contrib/spi/autoinc.so $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress
	pushd  $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress/
	strip *.so
	popd
%endif
# Upgrade scripts.
tar -C $RPM_BUILD_ROOT -xzf %{SOURCE7}
mv $RPM_BUILD_ROOT%_prefix/share/pgsql/backup $RPM_BUILD_ROOT%_libdir/pgsql
# logrotate script removed until future release
#logrotate script source (which needs WORK)
#mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
#cp %{SOURCE8} $RPM_BUILD_ROOT/etc/logrotate.d/postgres
#chmod 0644 $RPM_BUILD_ROOT/etc/logrotate.d/postgres
# Fix some more documentation
# no need for the OS2 client
rm -rf contrib/os2client
#gzip doc/internals.ps
cp %{SOURCE6} README.rpm-dist
cp %{SOURCE16} .
mv $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc
# move the contrib tree to the right place after building....
cp -r contrib $RPM_BUILD_ROOT%{_libdir}/pgsql
#Fix permissions of contrib stuff...
pushd $RPM_BUILD_ROOT%{_libdir}/pgsql/contrib
    %NOEXEC
popd
# We'll do more prep work in a later release.....
# Fix a dangling symlink
#mkdir -p $RPM_BUILD_ROOT/usr/include/pgsql/port
#cp src/include/port/linux.h $RPM_BUILD_ROOT/usr/include/pgsql/port/
#ln -sf port/linux.h $RPM_BUILD_ROOT/usr/include/pgsql/os.h
#more broken symlinks
rm -f $RPM_BUILD_ROOT%{_libdir}/pgsql/contrib/pg_resetxlog/pg_crc.c $RPM_BUILD_ROOT%{_libdir}/pgsql/contrib/pg_controldata/pg_crc.c
cp src/backend/utils/hash/pg_crc.c $RPM_BUILD_ROOT%{_libdir}/pgsql/contrib/pg_resetxlog/pg_crc.c
ln $RPM_BUILD_ROOT%{_libdir}/pgsql/contrib/pg_resetxlog/pg_crc.c $RPM_BUILD_ROOT%{_libdir}/pgsql/contrib/pg_controldata/pg_crc.c
# Symlink libpq.so.2.0 to libpq.so.2.1 for backwards compatibility, until 
# -soname patches are the norm.
pushd $RPM_BUILD_ROOT%{_libdir}
ln -s libpq.so.2.1 libpq.so.2.0
popd

%pre libs
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.
if [ -f usr/bin/postgres ]
then
  BACKUP_DIR=usr/%_lib/pgsql/backup
  for f in usr/bin/{postmaster,postgres,pg_dump,pg_dumpall,psql} usr/%_lib/libpq*
  do
    test -f $f && {
      mkdir -p $BACKUP_DIR
      cp -a $f $BACKUP_DIR
    }
  done
fi
exit 0
%if !%suse

%post -p /sbin/ldconfig libs
%endif
%if !%suse

%postun -p /sbin/ldconfig libs
%endif

%pre server
%if %suse
	touch var/log/postgresql
	chown postgres.daemon var/log/postgresql
	chmod 0600 var/log/postgresql
%else
	groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
	useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
		-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
	touch /var/log/pgsql
	chown postgres.postgres /var/log/pgsql
	chmod 0700 /var/log/pgsql
%endif
exit 0

%post server
%if %suse
    %{?fillup_and_insserv:%fillup_and_insserv -s postgresql START_POSTGRES}
    TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
    MAJOR=`echo $TEST | cut -d. -f 1`
    MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
    DEVELVERSION=`echo $TEST | cut -d. -f 3 | sed -e "s@[^0-9]@@g"`
    [ "$DEVELVERSION" ] || DEVELVERSION="0"
    VERSION=$(( ${MAJOR}*100 + ${MINOR} + ${DEVELVERSION} ))
    if [ "$VERSION" -le 703 ]; then
	sbin/insserv etc/init.d/postgresql
	bin/fillup -q etc/rc.config var/adm/fillup-templates/sysconfig.postgresql
    fi
%else
	chkconfig --add postgresql
	/sbin/ldconfig
%endif
exit 0
%if !%suse

%preun server
if [ "$1" = 0 ] ; then
	chkconfig --del postgresql
fi
%endif
exit 0

%postun server
%if %suse
  %{?insserv_cleanup:%insserv_cleanup}
%else
	/sbin/ldconfig 
	if [ "$1" -ge 1 ]; then
		/sbin/service postgresql condrestart >/dev/null 2>&1
	fi
	if [ "$1" = 0 ] ; then
		userdel postgres >/dev/null 2>&1 || :
		groupdel postgres >/dev/null 2>&1 || : 
	fi
%endif
exit 0
%if %odbc && !%suse

%post -p /sbin/ldconfig odbc

%postun -p /sbin/ldconfig odbc
%endif
%if %tcl && !%suse

%post -p /sbin/ldconfig tcl

%postun -p /sbin/ldconfig tcl
%endif
%if %plperl && !%suse

%post plperl -p /sbin/ldconfig

%postun plperl -p /sbin/ldconfig
%endif
%if %test

%post test
# What is this good for?
# These files are being packed in as postgres.%{pg_group} anyway.
chown -R postgres.%{pg_group} usr/share/pgsql/test >/dev/null 2>&1 || :
exit 0
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -f perlfiles.list
# Ok, we are dynamically generating some filelists.  These are by default
# under the BUILD/postgresql-x.y.z tree.
# Note that macros such as config are available in those lists.
# The lists differentiate between RedHat, SuSE, and others.

%files
%defattr(-,root,root)
%doc doc/FAQ doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README* 
%doc COPYRIGHT README HISTORY doc/bug.template
%doc README.rpm-dist README.SuSE
%doc doc/html
/usr/bin/createdb
/usr/bin/createlang
/usr/bin/createuser
/usr/bin/dropdb
/usr/bin/droplang
/usr/bin/dropuser
/usr/bin/pg_dump
/usr/bin/pg_dumpall
/usr/bin/pg_restore
/usr/bin/psql
/usr/bin/vacuumdb
%{_mandir}/man1/createdb.1*
%{_mandir}/man1/createlang.1*
%{_mandir}/man1/createuser.1*
%{_mandir}/man1/dropdb.1*
%{_mandir}/man1/droplang.1*
%{_mandir}/man1/dropuser.1*
%{_mandir}/man1/pg_dump.1*
%{_mandir}/man1/pg_dumpall.1*
%{_mandir}/man1/pg_config.1*
%{_mandir}/man1/pg_restore.1*
%{_mandir}/man1/psql.1*
%{_mandir}/man1/vacuumdb.1*
%{_mandir}/man7/*

%files docs
%defattr(-,root,root)
%doc doc/src/*

%files contrib
%defattr(-,root,root)
%{_libdir}/pgsql/contrib/*

%files libs
%defattr(-,root,root)
%{_libdir}/libpq.so.*
%{_libdir}/libecpg.so.*
%{_libdir}/libpq++.so.*
%{_libdir}/libpgeasy.so.*

%files server -f files.lst
%config(noreplace) %attr (-,postgres,daemon) /etc/logrotate.d/postgresql
%defattr(-,root,root)
/usr/bin/initdb
/usr/bin/initlocation
/usr/bin/ipcclean
/usr/bin/pg_ctl
/usr/bin/pg_encoding
/usr/bin/pg_id
/usr/bin/pg_passwd
/usr/bin/postgres
/usr/bin/postgresql-dump
/usr/bin/postmaster
/usr/bin/rh-pgdump.sh
%{_mandir}/man1/initdb.1*
%{_mandir}/man1/initlocation.1*
%{_mandir}/man1/ipcclean.1*
%{_mandir}/man1/pg_ctl.1*
%{_mandir}/man1/pg_passwd.1*
%{_mandir}/man1/postgres.1*
%{_mandir}/man1/postmaster.1*
%{_mandir}/man1/postgresql-dump.1*
/usr/share/pgsql/postgres.bki
/usr/share/pgsql/postgres.description
/usr/share/pgsql/*.sample
%{_libdir}/postgresql/plpgsql.so
%attr(700,postgres,%{pg_group}) %dir %{_libdir}/pgsql/backup
%{_libdir}/pgsql/backup/pg_dumpall_new
%attr(700,postgres,%{pg_group}) %dir /var/lib/pgsql/data
%attr(700,postgres,%{pg_group}) %dir /var/lib/pgsql/backups
%attr(644,postgres,%{pg_group}) %config(noreplace) /var/lib/pgsql/.bash_profile

%files devel
%defattr(-,root,root)
/usr/include/pgsql
/usr/bin/ecpg
%{_libdir}/lib*.a
/usr/bin/pg_config
%{_libdir}/libpq.so
%{_libdir}/libecpg.so
%{_libdir}/libpq++.so
%{_libdir}/libpgeasy.so
%{_mandir}/man1/ecpg.1*
%if %tcl

%files tcl
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libpgtcl.so*
%_prefix/bin/pgtclsh
%_prefix/bin/pltcl_*
%{_mandir}/man1/pgtclsh.1*
%{_libdir}/postgresql/pltcl.so
%{_libdir}/pgsql/pkgIndex.tcl
%{_prefix}/share/pgsql/unknown.pltcl
%endif
%if %tkpkg

%files tk
%defattr(-,root,root)
%if %pgaccess
%doc doc/pgaccess/*
/usr/share/pgsql/pgaccess
/usr/bin/pgaccess
%{_mandir}/man1/pgaccess.1*
%endif
/usr/bin/pgtksh
%{_mandir}/man1/pgtksh.1*
%endif
%if %odbc

%files odbc
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libpsqlodbc.so*
#%config(noreplace) /etc/pgsql/odbcinst.ini
/usr/share/pgsql/odbc.sql
/usr/share/pgsql/odbc-drop.sql
%endif
%if %perl

%files -f perlfiles.list perl
%defattr (-,root,root)
%dir %perl_sitearch/auto
/usr/share/pgsql/perl5
%{_mandir}/man3/Pg.*
%endif
%if %plperl

%files plperl
%defattr(-,root,root)
%{_libdir}/postgresql/plperl.so
%endif
%if %python

%files python
%defattr(-,root,root)
%doc src/interfaces/python/README src/interfaces/python/tutorial

%python_sitepath/*
%_libdir/postgresql/plpython.so
%endif
%if %jdbc

%files jdbc
%defattr(644,root,root)
/usr/share/pgsql/jdbc7.0-1.1.jar
/usr/share/pgsql/jdbc7.1-1.2.jar
%endif
%if %test

%files test
%defattr(-,postgres,%{pg_group})
%attr(755,postgres,%{pg_group})%{_libdir}/pgsql/config.guess
%attr(-,postgres,%{pg_group})%{_libdir}/pgsql/test/*
%endif

%changelog -n postgresql
* Tue May 25 2004 - max@suse.de
- Adapted a patch from Debian to fix a buffer overflow in ODBC driver
  (src/interfaces/odbc/): added parameter for target buffer size to
  make_string() to prevent buffer overflows and corrected all calls to
  it (http://bugs.debian.org/247306, SuSE Bugzilla #40714).
  With previous versions it was possible to crash (and possibly
  exploit) e. g. apache if a PHP script connected to a ODBC database
  with very long credential strings (DSN, username, password, etc.).
* Mon Sep 08 2003 - max@suse.de
- Backported a buffer overflow fix from version 7.3.4.
  (Bug #29483)
* Mon Sep 30 2002 - max@suse.de
- Added patch with security fixes that went in between
  7.2.1 and 7.2.2.
* Wed Mar 20 2002 - max@suse.de
- Changed postgresql package to PreReq postgresql-libs instead of
  postgresql-lib which is obsolete.
* Fri Mar 08 2002 - poeml@suse.de
- add missing / before %%_lib, fixing the preinstall script of -libs
  subpackage
* Wed Mar 06 2002 - max@suse.de
- Fixed test-and-set assembler code for s390x.
- Made finding of perl and python site-paths more portable.
- Fixed detection of SuSE dist for older releases.
- Some more %%_libdir corrections.
- Using -fPIC for building shared libs on all architectures.
- Leaving out tk and python subpackages if tk and python
  are not OK.
* Mon Mar 04 2002 - max@suse.de
- Fixed creation of pkgIndex.tcl
- Removed some python stuff from the spec file that is now part of
  PostgreSQL's build system.
- Removed unneeded executable permissions from a couple of files.
* Wed Feb 13 2002 - max@suse.de
- added support for logrotate
- changed sysconfig stuff and init script to run on both
  schemes (<=7.3 and >=8.0).
* Tue Feb 05 2002 - max@suse.de
- Updated to 7.2 final.
- See the file /usr/share/doc/packages/postgresql/HISTORY
  for changes and incompatibilities since version 7.1.x.
- Adapted the init script to match the new versions of killproc
  and PostgreSQL.
* Mon Jan 28 2002 - max@suse.de
- Updated to 7.2rc2
- Removed temporary header fix.
- Added a patch for autoconf-2.52 (disabled by derfault).
- Added english version of README.SuSE
* Tue Jan 22 2002 - max@suse.de
- removed os.h. It's not needed anymore.
- fixed locations of internal header files (temporary).
- postgresql-python now obsoletes pygresql.
- updated the files lists.
* Mon Jan 21 2002 - max@suse.de
- New version 7.2b5
* Tue Dec 18 2001 - max@suse.de
- Changed spec file to make use of %%{_libdir} where appropriate.
* Mon Dec 17 2001 - max@suse.de
- Removed the START_POSTGRES variable from the fillup template
  and changed init script, and spec file to the new scheme.
- Moved the remaining variables from /etc/rc.config to
  /etc/sysconfig/postgresql.
* Wed Sep 12 2001 - max@suse.de
- New version (patch release): 7.1.3
  The ChangeLog says:
- Remove unused WAL segements of large transactions (Tom)
- Multiaction rule fix (Tom)
- Pl/pgSQL memory allocation fix (Jan)
- VACUUM buffer fix (Tom)
- Regression test fixes (Tom)
- pg_dump fixes for GRANT/REVOKE/comments on views,
  user-defined types (Tom)
- Fix subselects with DISTINCT ON or LIMIT (Tom)
- BEOS fix
- Disable COPY TO/FROM a view (Tom)
- Cygwin build (Jason Tishler)
- Fixed bug in init script.
  It needed a file that comes only with postgresql-devel
- Better Patch for PgTcl. It now sets the client encoding to
  UNICODE (PostgreSQL's name for UTF-8) for Tcl versions >= 8.1
  instead of using Tcl's conversion functions to get the correct
  string representation.
- Added README.SuSE (only german, so far)
- Some minor typo fixes in the spec file.
* Mon Aug 27 2001 - utuerk@suse.de
- removed postgresql.conf (now provided by susehelp)
* Mon Jul 23 2001 - max@suse.de
- Fixed %%pre and %%post scripts for YaST.
* Thu Jul 19 2001 - max@suse.de
- fixed regression tests for SPARC32.
- fixed init script to warn about incompatible data files.
- added patch for Pgtcl to use UTF8 for internal string
  representation if compiled with Tcl >= 8.1 .
- added pkgIndex.tcl to allow dynamic loading of Pgtcl using
  Tcl's package mechanism.
* Wed Jul 11 2001 - max@suse.de
- fixed regression test to succeed on PPC with glibc-2.2.3 .
* Tue Jul 10 2001 - max@suse.de
- new version: 7.1.2
- packages again based on the official PostgreSQL RPMs.
- architecture patches are no longer needed.
- running the regression tests as part of the build process to
  ensure that only correctly built binaries get packed in.
- new subpackages: contrib, doc
- renamed subpackage lib to libs to conform to the official RPMs
- ToDo: (semi)automatic conversion for updates
  from versions prior 7.1.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 27 2001 - max@suse.de
- updated the init script to be more LSB compliant according to
  the current /etc/init.d/skeleton.
* Thu Apr 12 2001 - max@suse.de
- fix for deprecated declarations in readline 4.2.
- fixed permissons of some shared objects for the backend.
- recovered timestamps of sources.
* Wed Apr 11 2001 - utuerk@suse.de
- added postgresql.conf for susehelp
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Thu Mar 22 2001 - poeml@suse.de
- 7.0.* does not work on PPC unless compiled with -O0 (7.1 will)
* Wed Mar 07 2001 - max@suse.de
- added xshared and xdevel to neededforbuild
  because X is no longer in the default buildsystem.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Jan 24 2001 - max@suse.de
- added missing "Provides:" entries to specfile.
* Mon Jan 15 2001 - max@suse.de
- dropping the locale environment vars from the init script
  as workarround for a locale related bug in the backend.
  It shows up when the regression test runs on a backend that
  has e.g. LC_CTYPE=de_DE .
* Wed Nov 29 2000 - max@suse.de
- new version: 7.0.3
- spec file is based on Lamar Owen's source RPM of
  PostgreSQL-7.0.3 for SuSE Linux 7.0
- renamed the whole package
  postgres -> postgresql
  pg_lib   -> postgresql-lib
  pg_serv  -> postgresql-serv
  pg_devel -> postgresql-devel
  pg_tcl   -> postgresql-tcl
  pg_tk    -> postgresql-tk
  pg_odbc  -> postgresql-odbc
  pg_jdbc  -> postgresql-jdbc
  pg_pyth  -> postgresql-python
  pg_perl  -> postgresql-perl
  pg_test  -> postgresql-test
- renamed some files and scripts from *postgres* to *postgresql*
- moved to the LSB-compliant init scheme
- moved database initialisation from SuSEconfig.postgres
  into the init script
- changed postgresql-python to use Python2.0 instead of 1.5
* Sat Oct 28 2000 - kukuk@suse.de
- Add python-devel to need for build
* Tue Oct 24 2000 - bk@suse.de
- integrated change from max:
- changed /sbin/init.d/postgres and SuSEconfig.postgres
  to work arround YaST that quotes the value of POSTGRES_DATADIR
  in /etc/rc.config when it gets changed.
* Mon Sep 11 2000 - fober@suse.de
- made postgres run&autobuild on s390:
- src/include/port/linux.h, src/include/storage/s_lock.h:
  s390-assembler test-and-set (thanks to Andreas Jaeger)
- src/template/.similar, src/template/linux_s390:
  created linux_s390-Template from linux_ppc.
  TODO: is -O0 really needed?
- regression test passes (with minor deviations in floating point
  arithmetics)
  TODO: the regression test will not run out of the box as we install
  it.  this is the missing piece, either in postgres-source or in
  .spec
  # missing files
  cd $BUILD_ROOT/usr/src/packages/BUILD/postgresql-7.0.2/;
  cp -avP src/backend/*.h $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/include $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.port $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.global $RPM_BUILD_ROOT/usr/lib/pgsql
  # directory structure
  cd $RPM_BUILD_ROOT/usr/lib/pgsql
  mkdir src
  mv test src
  ln -s src/test .
* Mon Aug 28 2000 - max@suse.de
- changed installation order to fix bug #3802
* Mon Jul 03 2000 - max@suse.de
- Disabled fcntl(F_SETLK) on the postmaster socket to work arround
  a kernel bug in Linux <= 2.2.16.
- New subpackage: pg_lib contains the shared libs for C and C++.
* Thu Jun 29 2000 - schwab@suse.de
- Fix spinlocks for ia64.
- Reenable ia64 patch on the other architectures.
* Wed Jun 28 2000 - max@suse.de
- disabled the ia64 patch when building for other architectures
- database unload+reload on updates works now
- moved some script and config files out of the diff into
  source files of their own.
- template database creation moved from init script into SuSEconfig
- some minor cleanups
* Tue Jun 20 2000 - schwab@suse.de
- Add support for ia64.
* Fri Jun 09 2000 - max@suse.de
- New version: 7.0.2.
- Re-made the whole package based on the original PostgreSQL RPM.
- There is still a little work needed for clean updates from
  PostgreSQL 6.x to 7.0.x
- Heavy testing needed before SuSE Linux 7.0.
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building postgres
* Thu Feb 10 2000 - ke@suse.de
- add more source files from the official PostgreSQL package.
- start to apply patches from there.
- start to cleanup the spec file.
- start to resolve bug #1948.
* Wed Feb 09 2000 - ke@suse.de
- add group tag.
- ./configure -> %%build.
- New default for rc.config variable START_POSTGRES ("no").
* Fri Dec 10 1999 - ke@suse.de
- update: version 6.5.3.
- startup script: use -S to remove the socket.
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - ke@suse.de
- postgresql init script: remove the socket in /tmp before trying to
  start the postmaster.
* Thu Jul 29 1999 - ke@suse.de
- update: version 6.5.1.
* Tue Jul 20 1999 - ke@suse.de
- remove MANPATH setting from /etc/postgres.{sh,csh} and from
  /etc/pg_ifa.{sh,csh}.
- provide manpage links at /usr/share/man:
  /usr/lib/pgsql/man/man?/*.?.gz -> /urs/share/man/man?/*.?.pgsql.gz
- now, you'll find all manpage in "pg_ifa".
* Thu Mar 18 1999 - ke@suse.de
- compile an install "spi" (on popular demand...).
* Wed Feb 10 1999 - ke@suse.de
- security fix: don't create pg_pwd with mode 666 (thanks to mt).
* Mon Feb 01 1999 - ke@suse.de
- fix permissions of libs (thanks to mt).
* Fri Jan 08 1999 - ke@suse.de
- update: version 6.4.2.
* Tue Dec 01 1998 - ke@suse.de
- add /etc/profile.d/{postgres,pg_ifa}.csh (thanks to werner).
- new bootscript (thanks to werner).
* Fri Nov 27 1998 - ke@suse.de
- link libpgtcl against libcrypt.
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Fri Oct 30 1998 - ke@suse.de
- update: version 6.4-BETA4.
* Sun Sep 27 1998 - ke@suse.de
- update: version pre6.4 (snapshot 1998-09-27).
- remove pgaccess (it's a separate package now).
- all libraries and binaries are under the separate hierarchy
  /usr/lib/pgsql (on customers' request...).
- provide /etc/profile.d/{postgres,pg_ifa}.sh; .csh files are still
  missing.
* Mon Aug 24 1998 - ke@suse.de
- shut down the postmaster before uninstalling.
* Tue Aug 18 1998 - ke@suse.de
- add pgaccess' GIFs (HTML documentation).
* Sat Jul 25 1998 - ke@suse.de
- Use `-n postgres' to make the `%%post' script available.
* Mon Jul 13 1998 - ke@suse.de
- update pgaccess: version 0.88.
* Thu May 28 1998 - ke@suse.de
- New package split: rip out the base interfaces (libraries and database
  tools); the new package is called pg_ifa (subpackage).
- update pgaccess: version 0.87.
* Fri May 22 1998 - ke@suse.de
- update: version 6.3.2
- package split to ease maintainability and user updates; now, we've the
  following packages:
  postgres : base packages, essential interfaces included (libpq,
  libpq++, libpqtcl and PgAccess).
  pg_datab : initial database (needed only for the first
  installation or in case of major number updates); if
  not installed, the user has to invoke `initdb'
  manually.
  pg_iface : PostgreSQL interfaces (Perl, JDBC, more to come...).
* Thu May 07 1998 - fehr@suse.de
- add library -lXp for Motif 2.1
* Wed Feb 11 1998 - fehr@suse.de
- added the perl interface
* Wed Dec 10 1997 - ro@suse.de
- build static and dynamic version of dbbrowser and mpsql
* Wed Dec 03 1997 - ro@suse.de
- fixed /sbin/init.d/postgres (path, db-path, read rc.config)
  moved logfile to /var/log
* Tue Nov 18 1997 - bs@suse.de
- skipped man3/abort.3.gz
* Tue Nov 04 1997 - fehr@suse.de
- changed to version 6.2.1 of the new postgresSQL
- changed to version 1.5 of mpsql
- changed to version 0.2 of AppGEN
- added version 0.9 if dbbrowser
- prepare package for automatic build
- home Directory of postgrs user must now be /var/lib/postgres
- this Change is a major step since postgres95 it is possible
  that some changes are incompatible with the previos postgres
  versions.
* Mon Jun 09 1997 - fehr@suse.de
- make symbolic link in /usr/doc/packages relative
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Mon May 12 1997 - fehr@suse.de
- added startup-script for /sbin/init.d
- added fillup for /etc/rc.config START_POSTGRES
